Whatsapp to terminate support for some phones, check if yours is among.


This is getting serious, some people still think this a joke. My professional advise for anyone still using phones listed below should just sell it now to people who don't care about Whatsapp and Facebook, because by 2017 you may find it hard to sell or even dash it out, these phones will lose its value in the market.

As announced in our blog, we will soon be ending support for certain devices. At the end of 2016, we will no longer support the following platforms:
  • BlackBerry, including BlackBerry 10
  • Nokia S40
  • Nokia Symbian S60
  • Android 2.1 and Android 2.2
  • Windows Phone 7.1
  • iPhone 3GS/iOS 6
These platforms don't offer the kind of capabilities we need to expand our app's features in the future. If you use one of these affected mobile devices, we recommend upgrading to a newer Android running OS 2.3+, a Windows Phone 8+, or an iPhone running iOS 7+ before the end of 2016 to continue using WhatsApp.
Once you have one of these devices, simply install WhatsApp and verify your phone number on the new device to continue using WhatsApp. Keep in mind that WhatsApp can only be activated with one phone number on one device at a time.

So do the needful, though I feel pity for BlackBerry 10 (Q5, Q10, Z10 etc.) users, especially those that recently got their phones. Even though Whatsapp and Facebook are not the reasons why we buy our phones, you'd agree with me that using a phone without Whatsapp installed it would be boring.

For iPhone 4, nokia s40, and android 2.2 users, why would you still hold unto an obsolete phone? Are you waiting for Santa Claus to get you a new phone?

Source: Whatsapp

Cheers.
Powered by Blogger.